#
# spec file for package cinnamon-desktop
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  libcinnamon-desktop
%define sover   4
%define soname_cvc libcvc
%define sover_cvc 0
%define typelib typelib-1_0-CinnamonDesktop-3_0
%define typelib_cvc typelib-1_0-Cvc-1_0
Name:           cinnamon-desktop
Version:        3.2.4
Release:        1.10
Summary:        Libcinnamon-desktop API
License:        GPL-2.0+ and MIT
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/cinnamon-desktop
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Some documentation for people writing branding packages, shipped in the branding-upstream package.
Source1:        README.Gsettings-overrides
Source2:        baselibs.conf
# PATCH-FIX-OPENSUSE cinnamon-desktop-correct-background-path.patch sor.alexi@meowr.ru -- Fix path to Adwaita background.
Patch0:         %{name}-correct-background-path.patch
BuildRequires:  autoconf
BuildRequires:  autoconf-archive
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pam-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.22.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.37.3
BuildRequires:  pkgconfig(glib-2.0) >= 2.37.3
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.9.7
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10.0
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(xext) >= 1.1
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xkeyboard-config)
BuildRequires:  pkgconfig(xrandr) >= 1.3

%description
cinnamon-desktop contains the libcinnamon-desktop library, the
cinnamon-about program as well as some desktop-wide documents.

The libcinnamon-desktop library provides API shared by several
applications on the desktop, but that cannot live in the platform
for various reasons. There is no API or ABI guarantee, although we
are doing our best to provide stability. Documentation for the API
is available with gtk-doc.

%package -n %{soname}%{sover}
Summary:        Libcinnamon-desktop API
Group:          System/Libraries
Requires:       %{soname}-data >= %{version}
Provides:       %{name} = %{version}
Provides:       %{soname} = %{version}
Obsoletes:      %{name} < %{version}

%description -n %{soname}%{sover}
cinnamon-desktop contains the libcinnamon-desktop library, the
cinnamon-about program as well as some desktop-wide documents.

The libcinnamon-desktop library provides API shared by several
applications on the desktop, but that cannot live in the platform
for various reasons. There is no API or ABI guarantee, although we
are doing our best to provide stability. Documentation for the API
is available with gtk-doc.

%lang_package -n %{soname}

%package -n %{soname}-data
Summary:        Libcinnamon-desktop API -- Common Files
Group:          System/GUI/Other
Requires:       %{soname}-data-branding = %{version}
Requires:       pam
Requires:       python-gobject
Recommends:     %{soname}-lang
# cinnamon-desktop-lang was last used in openSUSE 13.2.
Provides:       %{name}-lang = %{version}
Obsoletes:      %{name}-lang < %{version}
%glib2_gsettings_schema_requires

%description -n %{soname}-data
cinnamon-desktop contains the libcinnamon-desktop library, the
cinnamon-about program as well as some desktop-wide documents.

This package includes files that are shared between several
Cinnamon applications (configuration schemas).

%package -n %{soname}-data-branding-upstream
Summary:        Upstream definitions of default settings and applications
Group:          System/GUI/Other
Requires:       %{soname}-data = %{version}
Requires:       gnome-backgrounds
Requires:       metatheme-adwaita-common
Supplements:    packageand(%{soname}-data:branding-upstream)
Conflicts:      otherproviders(%{soname}-data-branding)
Provides:       %{soname}-data-branding = %{version}
BuildArch:      noarch
#BRAND: A /usr/share/glib-2.0/schemas/$NAME.gschema.override file can
#BRAND: be used to override the default value for GSettings keys. See
#BRAND: README.Gsettings-overrides for more details. The branding
#BRAND: package should then have proper Requires for features changed
#BRAND: with such an override file.

%description -n %{soname}-data-branding-upstream
This package provides upstream defaults for settings stored with
GSettings and applications used by the MIME system.

%package -n %{typelib}
Summary:        Libcinnamon-desktop API -- Introspection bindings
Group:          System/Libraries

%description -n %{typelib}
cinnamon-desktop contains the libcinnamon-desktop library, the
cinnamon-about program as well as some desktop-wide documents.

This package provides the GObject Introspection bindings for
libcinnamon-desktop.

%package -n %{soname}-devel
Summary:        Libcinnamon-desktop API -- Development Files
Group:          Development/Libraries/C and C++
Requires:       %{soname}%{sover} = %{version}
Requires:       %{typelib} = %{version}
Requires:       pkgconfig
Requires:       pkgconfig(gtk+-3.0)
Requires:       pkgconfig(xkbfile)
# cinnamon-desktop-devel was last used in openSUSE 12.3.
Provides:       %{name}-devel = %{version}
Obsoletes:      %{name}-devel < %{version}

%description -n %{soname}-devel
cinnamon-desktop contains the libcinnamon-desktop library, the
cinnamon-about program as well as some desktop-wide documents.

This package contains development files for libcinnamon-desktop.

%package -n %{soname_cvc}%{sover_cvc}
Summary:        LibCVC API
Group:          System/Libraries

%description -n %{soname_cvc}%{sover_cvc}
Utility library for volume control of pulseaudio from gobject-based
Cinnamon modules/applications.

%package -n %{typelib_cvc}
Summary:        LibCVC API -- Introspection bindings
Group:          System/Libraries

%description -n %{typelib_cvc}
Utility library for volume control of pulseaudio from gobject-based
Cinnamon modules/applications.

This package provides the GObject Introspection bindings for libcvc.

%package -n %{soname_cvc}-devel
Summary:        LibCVC API -- Development Files
Group:          Development/Libraries/C and C++
Requires:       %{soname_cvc}%{sover_cvc} = %{version}
Requires:       %{typelib_cvc} = %{version}
Requires:       pkgconfig
Requires:       pkgconfig(libpulse)
Requires:       pkgconfig(libpulse-mainloop-glib)

%description -n %{soname_cvc}-devel
Utility library for volume control of pulseaudio from gobject-based
Cinnamon modules/applications.

This package contains development files for libcvc.

%prep
%setup -q
%patch0 -p1
cp -a %{SOURCE1} .

%build
NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name} %{?no_lang_C}

%post -n %{soname}-data
%glib2_gsettings_schema_post

%postun -n %{soname}-data
%glib2_gsettings_schema_postun

%post -n %{soname}%{sover} -p /sbin/ldconfig

%postun -n %{soname}%{sover} -p /sbin/ldconfig

%post -n %{soname_cvc}%{sover_cvc} -p /sbin/ldconfig

%postun -n %{soname_cvc}%{sover_cvc} -p /sbin/ldconfig

%files -n %{soname}%{sover}
%defattr(-,root,root)
%doc AUTHORS COPYING* README debian/changelog
%{_libdir}/%{soname}.so.%{sover}*

%files -n %{soname}-lang -f %{name}.lang
%defattr(-,root,root)

%files -n %{soname}-data
%defattr(-,root,root)
%doc AUTHORS COPYING* README debian/changelog
%{_bindir}/cinnamon-desktop-migrate-mediakeys
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{soname}/

%files -n %{soname}-data-branding-upstream
%defattr(-,root,root)
%doc README.Gsettings-overrides

%files -n %{typelib}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/CinnamonDesktop-3.0.typelib
%{_libdir}/girepository-1.0/CDesktopEnums-3.0.typelib

%files -n %{soname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{soname}.so
%{_datadir}/gir-1.0/CinnamonDesktop-3.0.gir
%{_datadir}/gir-1.0/CDesktopEnums-3.0.gir

%files -n %{soname_cvc}%{sover_cvc}
%defattr(-,root,root)
%doc AUTHORS COPYING* README debian/changelog
%{_libdir}/%{soname_cvc}.so.%{sover_cvc}*

%files -n %{typelib_cvc}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Cvc-1.0.typelib

%files -n %{soname_cvc}-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/cvc.pc
%{_libdir}/%{soname_cvc}.so
%{_datadir}/gir-1.0/Cvc-1.0.gir

%changelog
* Thu Dec 15 2016 sor.alexei@meowr.ru
- Update to version 3.2.4 (changes since 3.2.1):
  * Remove PAM authentication - this is moved back to
    cinnamon-screensaver, the only current user.
  * media-keys: Add Rotation lock support.
  * screensaver schema: Add floating widget preference.
  * Privacy: Disable tracking of recent files by default.
- Remove cinnamon-desktop-suse-pam.patch.
* Thu Nov 24 2016 sor.alexei@meowr.ru
- Update to version 3.2.1:
  * Update PAM for Fedora selinux
  * Fix includes for libcvc
  * Port some PAM code from cinnamon-screensaver 3.0:
  - Don't check return value of pam_acct_mgmt.
    On some systems it can fail because account modules are not
    configured properly or because this check requires
    additional privileges.
  - Call pam_setcred() to refresh credentials.
- Rebase cinnamon-desktop-suse-pam.patch.
* Tue Nov  8 2016 sor.alexei@meowr.ru
- Update to version 3.2.0:
  * Migrate away from gnome-common deprecated vars and macros.
  * gnome-bg: Add an introspectable method to GnomeBG to allow
    setting a GtkImage with a background surface.
  * gnome-bg.c: Use gdk_cairo_surface_create_from_pixbuf() for
    creating GtkImage surfaces - this handles widget scale factors
    for us, and gives back the correct size/scale image surface.
  * gnome-desktop-utils: Add a pam password check function.
  * Add /etc/pam.d/cinnamon-desktop to build and packaging to allow
    authentication to work.
  * screensaver schema: Add flag, keyboard layout, and clock
    visiblity keys.
  * Make AX_ macros optional.
  * screensaver schema: Add caps keyboard layout option.
  * screensaver schema: Add albumart preference.
  * gnome-desktop-thumbnail.c: Remove hardcoded GdkPixbuf blacklist,
    and make mimetypes in the "disable" gsettings key apply to the
    entire thumbnail factory, not just pluggable thumbnailers.
  * Move flag, uppercase prefs from screensaver to interface
    schema, and add a preference for layout name.
  * Add screensaver lockdown preferences.
- Add cinnamon-desktop-suse-pam.patch: Use SUSE-specific PAM
  configuration.
- Create libcinnamon-desktop-data-branding:
  libcinnamon-desktop-data has to have an independent from the main
  cinnamon package branding.
* Sun May 22 2016 sor.alexei@meowr.ru
- Update to version 3.0.2:
  * libcvc: Update doap file.
  * org.cinnamon.desktop.interface schema: Add setting for gtk
    overlay scrollbars.
  * Backgrounds: Take EXIF rotation tags into consideration.
* Thu May 12 2016 sor.alexei@meowr.ru
- Update to version 3.0.1:
  * Fix possible null pointer dereference.
  * Fix usage of uninitialised values.
  * Disable event-sounds by default.
  * Disable audible-bell by default.
  * Remove dependency on gnome-software (boo#978264).
* Wed May  4 2016 sor.alexei@meowr.ru
- Add a missing python-gobject-Gdk dependency (boo#978298).
* Mon Apr 25 2016 sor.alexei@meowr.ru
- Update to version 3.0.0:
  * a11y schema: Limit desktop zoom max magnification to 15x.
  * Add installer functions to check and install packages via
    PackageKit.
  * enums: Add zoom lens shape enum and magnifier key.
  * gnome-installer: Use a GTask for the IsInstalled loop, so the
    main thread isn't blocked. Add some feedback to the test script
    to check this.
  * Schemas: Add a few keys for a11y stuff.
  * Add libcvc source and packages to build.
  * gvc-channel-map.h: Add missing include.
  * gvc-channel-map.c: Remove redundant include.
  * thumbnail: Fix a code path where the mutex is never unlocked.
  * Some fixes for introspection.
  * gvc_mixer_ui_device.c: Fix comment block causing a build
    warning.
- Add gnome-software (gnome-packagekit-session) dependency to
  libcinnamon-desktop package as did upstream.
* Wed Mar  9 2016 sor.alexei@meowr.ru
- Update to 2.8.1:
  * a11y schema: Limit desktop zoom max magnification to 15x.
  * thumbnail: Fix a code path where the mutex is never unlocked.
* Sun Oct 18 2015 sor.alexei@meowr.ru
- Update to 2.8.0:
  * Make cinnamon-desktop buildable with make.
  * gnome-desktop-thumbnailer.c: block known-buggy image types from
    being thumbnailed.
  * Create keybinding for XF86AudioMicMute => mic-mute.
  * Fix xml bg warning.
- Separate library data to libcinnamon-desktop-data package.
- Add cinnamon-desktop-correct-background-path.patch.
- Spec cleanup.
* Mon Aug 10 2015 i@marguerite.su
- update version 2.6.5
  * screensaver schemas: use a default value that exists
  * ignore X errors when applying xrandr configuration
- add baselibs.conf
* Tue Jun  2 2015 stefan@fam-elser.de
- update to version 2.6.4
* Thu Apr 23 2015 stefan@fam-elser.de
- update to version 2.4.2
* Mon Nov 10 2014 i@marguerite.su
- update version 2.4.1
  * changed checking for NULL a bit
  * keybinding migration script: add run-once check
  * Remove postinst script for keybindings
* Wed Nov  5 2014 i@marguerite.su
- update version 2.4.0
* Mon Jul 14 2014 i@marguerite.su
- update version 2.3.0
  * upstream just bump its version
* Wed May 21 2014 stefan@fam-elser.de
- update version 2.2.3
* Mon May 19 2014 stefan@fam-elser.de
- update version 2.2.2
* Thu Apr 17 2014 i@marguerite.su
- update version 2.2.0
- fix libcinnamon-desktop-lang requires libcinnamon-desktop problem
* Mon Nov 25 2013 johann.luce@wanadoo.fr
- update version 2.0.4
  * thumbnailer: Handle empty image files without crashing
* Mon Nov  4 2013 johann.luce@wanadoo.fr
- update version 2.0.3
  * remove a leftover from copying autogen.sh from nemo
  * Add new gi method for javascript background
* Mon Oct 28 2013 i@marguerite.su
- update version 2.0.2
  * fix some schema names
* Mon Oct 21 2013 i@marguerite.su
- rename libcinnamon-desktop, it's a library
* Mon Oct 21 2013 i@marguerite.su
- copypac from home:cyberorg:cinnamon
- add typelib-1_0-CinnamonDesktop-3_0 subpackage
- some clean
* Thu Oct 10 2013 stefan@fam-elser.de
- Updated to version 2.0.2
* Wed Oct  2 2013 stefan@fam-elser.de
- Initial release with git files from 2013/09/30
